package com.unis.crk.enums;

import lombok.Getter;

/**
 * 数据库类型
 * @author Administrator
 *
 */
@Getter
public enum DataBaseType {
	Sqlserver((int)0),
	Oracle((int)1),
	Mysql((int)2),
	GBase8s((int)3);
	
 // 定义私有变量
    private int nDBType;
    // 构造函数，枚举类型只能为私有
    private DataBaseType(int _nDBType) {
        this.nDBType = _nDBType;
    }
    
    @Override
    public String toString() {
        return String.valueOf(this.nDBType);
    }
    
    public int value(){
    	return this.nDBType;
    }
    
    public static DataBaseType valueOf(int i)
    {
    	switch(i){
	    	case 0:
	    		return Sqlserver;
        	case 1:
        		return Oracle;
        	case 2:
        		return Mysql;
        	case 3:
        	  return GBase8s;
        	default:
    			return null;
        }
    }
}
